! ESERVE resources for both CDE and non-CDE systems

! default paths for editors
ESERVE*defaultGnuEmacsPath:	emacs
ESERVE*defaultXEmacsPath:	xemacs

! to get the right things to have shadows and only the right things
ESERVE*XmSeparator*shadowThickness: 		2
ESERVE*XmSeparatorGadget*shadowThickness: 	2
ESERVE*XmScrollBar*shadowThickness: 		1
ESERVE*XmList*shadowThickness: 			1
ESERVE*XmText*shadowThickness: 			1
ESERVE*XmTextField*shadowThickness: 		1
ESERVE*XmCascadeButton*shadowThickness: 	1
ESERVE*XMCascadeButtonGadget*shadowThickness: 	1
ESERVE*XmDrawnButton*shadowThickness: 		1
ESERVE*XmDrawnButtonGadget*shadowThickness: 	1
ESERVE*XmPushButton*shadowThickness: 		1
ESERVE*XmPushButtonGadget*shadowThickness: 	1
ESERVE*XmOptionMenu*OptionButton*shadowThickness: 1
ESERVE*XmOptionMenu*shadowThickness: 		1
ESERVE*XmPanedWindow*sashShadowThickness: 	1
ESERVE*XmSelectionBox*shadowThickness: 		1
ESERVE*XmScale*shadowThickness: 		1

! General Help Dialog
ESERVE*XmDialogShell.DtHelpDialog*DisplayArea.background: 		White
ESERVE*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.background: White
ESERVE*XmDialogShell.DtHelpDialog*DisplayArea.foreground: 		Black
ESERVE*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.foreground: Black

! Quick Help Dialog
ESERVE*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: 		White
ESERVE*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: White
ESERVE*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: 		Black
ESERVE*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: Black

! dblclick to select C identifiers, ctrl- or alt-dblclick for WS-separated words
ESERVE*DtTerm.translations: #override\n\
	Alt ~Shift <Btn1Down>:	grab-focus() \n\
	Ctrl ~Shift <Btn1Down>:	grab-focus() \n\
	~Shift <Btn1Down>:	grab-focus(token) \n\
	<Btn1Up>:	extend-end()

! Set cursor blink rate in terminal emulator windows
! like the VI windows. Time in milliseconds, 0 means no blinking
ESERVE*DtTerm.blinkRate: 250

! End of ESERVE resources for both CDE and non-CDE systems

ESERVE*viFileCascade.mnemonic: F
ESERVE*Help.mnemonic: H
ESERVE*viWorkShopCascade.mnemonic: S
ESERVE*viBuildCascade.mnemonic: u
ESERVE*viCurrentTargetMenuItem.mnemonic: C
ESERVE*viThisFileMenuItem.mnemonic: T
ESERVE*viBreakpointsCascade.mnemonic: B
ESERVE*viStopAtMenuItem.mnemonic: A
ESERVE*viStopInSelectedMenuItem.mnemonic: I
ESERVE*viDeleteBreakpointAtMenuItem.mnemonic: D
ESERVE*viProgramCascade.mnemonic: P
ESERVE*viStartMenuItem.mnemonic: S
ESERVE*viGoMenuItem.mnemonic: G
ESERVE*viInterruptMenuItem.mnemonic: I
ESERVE*viStepCascade.mnemonic: S
ESERVE*viIntoMenuItem.mnemonic: I
ESERVE*viOverMenuItem.mnemonic: O
ESERVE*viOutMenuItem.mnemonic: t
ESERVE*viStackCascade.mnemonic: t
ESERVE*viUpMenuItem.mnemonic: U
ESERVE*viDownMenuItem.mnemonic: D
ESERVE*viPopMenuItem.mnemonic: P
ESERVE*viPop2MenuItem.mnemonic: C
ESERVE*viEvaluateCascade.mnemonic: E
ESERVE*viEvaluateSelectedMenuItem.mnemonic: S
ESERVE*viAsPointerMenuItem.mnemonic: P
ESERVE*viBrowseCascade.mnemonic: B
ESERVE*viReferencesToSelectedMenuItem.mnemonic: R
ESERVE*viDefinitionOfSelectedMenuItem.mnemonic: D
ESERVE*viFixCascade.mnemonic: F
ESERVE*viFixFileMenuItem.mnemonic: F
ESERVE*viFixProgramMenuItem.mnemonic: P
! Resources for the vi window

ESERVE*viWindow.rows:	35
ESERVE*viWindow.cols: 80
! Resource for the highlight color for error lines

ESERVE*matchColor:	#99CFFF
